"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _unistUtilVisit = require("unist-util-visit");
var aliasLanguage = function aliasLanguage(options) {
  return function (tree) {
    (0, _unistUtilVisit.visit)(tree, 'element', function (node, index, parent) {
      if (node.tagName === 'code' && (parent === null || parent === void 0 ? void 0 : parent.type) === 'element' && parent.tagName === 'pre') {
        if (node.properties && 'className' in node.properties && Array.isArray(node.properties.className)) {
          node.properties.className = node.properties.className.map(function (cls) {
            if (typeof cls === 'string') {
              return cls.replace(/^language-vue/, 'language-html');
            }
            return cls;
          });
        }
      }
    });
  };
};
var _default = exports["default"] = aliasLanguage;
module.exports = exports.default;